|  | Home · All Classes · Modules

# QUrl.FormattingOptions Class Reference
[QtCore module]

### Methods

- __init__ (self, FormattingOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- FormattingOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, FormattingOptions f)
- FormattingOptions __iand__ (self, int mask)
- int __int__ (self)
- FormattingOptions __invert__ (self)
- FormattingOptions __ior__ (self, FormattingOptions f)
- FormattingOptions __ixor__ (self, FormattingOptions f)
- bool __ne__ (self, FormattingOptions f)
- FormattingOptions __or__ (self, FormattingOptions f)
- FormattingOptions __or__ (self, int f)
- FormattingOptions __xor__ (self, FormattingOptions f)
- FormattingOptions __xor__ (self, int f)

## Detailed Description

FormattingOption may be used whenever FormattingOptions is expected.

## Method Documentation

### FormattingOptions.__init__ (self, FormattingOptions)

### FormattingOptions.__init__ (self, int)

### FormattingOptions.__init__ (self)

### FormattingOptions FormattingOptions.__and__ (self, int mask)

### int FormattingOptions.__bool__ (self)

### bool FormattingOptions.__eq__ (self, FormattingOptions f)

### FormattingOptions FormattingOptions.__iand__ (self, int mask)

### int FormattingOptions.__int__ (self)

### FormattingOptions FormattingOptions.__invert__ (self)

### FormattingOptions FormattingOptions.__ior__ (self, FormattingOptions f)

### FormattingOptions FormattingOptions.__ixor__ (self, FormattingOptions f)

### bool FormattingOptions.__ne__ (self, FormattingOptions f)

### FormattingOptions FormattingOptions.__or__ (self, FormattingOptions f)

### FormattingOptions FormattingOptions.__or__ (self, int f)

### FormattingOptions FormattingOptions.__xor__ (self, FormattingOptions f)

### FormattingOptions FormattingOptions.__xor__ (self, int f)